Type to search.

Update an agent

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Update an existing agent configuration. Use this endpoint to modify any aspect of the agent's behavior, appearance, or capabilities. To learn more about agents, refer to the agents documentation.

Required privileges

Privileges agentBuilder:manageAgents

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

The unique identifier of the agent to update.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

avatar_color string

Updated hex color code for the agent avatar.

avatar_symbol string

Updated symbol/initials for the agent avatar.

description string · max length: 2000

Updated description of what the agent does.

labels string[]

Updated labels for categorizing and organizing agents.

name string · max length: 256

Updated display name for the agent.

Response

200

Indicates a successful response

application/json